---
lang: en
title: 'API docs: repository.booleantype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.booleantype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [BooleanType](./repository.booleantype.md)

## BooleanType class

Boolean type

<b>Signature:</b>

```typescript
export declare class BooleanType implements Type<boolean> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [name](./repository.booleantype.name.md) |  | <code></code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [coerce(value)](./repository.booleantype.coerce.md) |  |  |
|  [defaultValue()](./repository.booleantype.defaultvalue.md) |  |  |
|  [isCoercible(value)](./repository.booleantype.iscoercible.md) |  |  |
|  [isInstance(value)](./repository.booleantype.isinstance.md) |  |  |
|  [serialize(value)](./repository.booleantype.serialize.md) |  |  |


